Instalar java en ubuntu

Instalar java en ubuntuInstalar Java en Ubuntu siempre es una buena idea ya que muchos paquetes de software utilizan esta tecnología para funcionar y si trabajas con Ubuntu Java es relativamente sencillo de instalar siguiendo unos simples pasos. Aun que muchos pueden pensar que los pasos son ir a la pagina de java y descargar algo la verdad es que Instalar Java en Ubuntu puede ser mucho mas sencillo con un par de comandos que hacen todo de forma automática y sin mayor problema.

Estos pasos funcionan en Ubuntu 13.04, Ubuntu 12.10 y Ubuntu 12.04 si pruebas en alguna otra versión y funciona por favor deja un comentario.

Instalar Java en Ubuntu con la Versión OpenJDK-7

Para Instalar Java en Ubuntu puedes utilizar la versión libre llamada OpenJDK y para hacerlo puedes utilizar estos comandos :

sudo apt-get install icedtea-7-plugin openjdk-7-jre

Instalar Oracle Java en Ubuntu

Para Instalar Java en Ubuntu con la versión de Oracle solo tienes que agregar un repositorio personal de paquetes o PPA y luego simplemente instalar el paquete para Ubuntu Java quedará instalado de forma automática y listo para usar. Abre una terminal y ejecuta estos comandos:

sudo add-apt-repository ppa:webupd8team/java
 sudo apt-get update && sudo apt-get install oracle-java7-installer

Al terminar puede verificar la versión de Java que responde en ubuntu con el siguiente comando:

lmx@test:~/test/$ java -version
 java version "1.7.0_10"
 Java(TM) SE Runtime Environment (build 1.7.0_10-b18)
 Java HotSpot(TM) 64-Bit Server VM (build 23.6-b04, mixed mode)

Si te responde esto tienes instalada y ejecutando la versión correcta de Java en Ubuntu. Esto funciona con las siguientes versiones de ubuntu: 13.04, Ubuntu 12.10, Ubuntu 12.04, Ubuntu 11.10, Ubuntu 11.04, Ubuntu 10.10 y Ubuntu 10.04

Tu Amigo y Servidor

Luis Armando Medina
@larmedina

Comentarios

Comentarios

9 thoughts on “Instalar java en ubuntu

  1. Francisco Mareque says:

    Muy buen aporte, me sirvio para actualizar el JAVA 6 (que se instalapor defecto) a 7 en un Ubuntu 10.04.4 LTS.
    Sino mi aplicativo no funcionaba.
    Muchas gracias.

  2. Iskar-76 says:

    Yo tengo un problema, pongo eso y me pone:
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    El paquete openjdk-7-jdk es un paquete virtual provisto por:
    oracle-java8-installer 8b113-0~webupd8~0
    oracle-java7-installer 7u45-0~webupd8~0
    Necesita seleccionar explícitamente uno para instalar.
    E: El paquete openjdk-7-jdk no tiene candidato para su instalación
    Me dice que eliga uno pero no se ni cual ni como. Yo tengo el JAVA ORACLE 7 pero quiero el OPENJDK-7 que me gusta mas…

  3. Raquel says:

    Hola, seguí el tuto, pero al hacer el test me salen los siguientes errores

    (saucy)rpg@localhost:~$ lmx@test:~/test/$ java -version
    bash: lmx@test:~/test/$: No such file or directory
    (saucy)rpg@localhost:~$ java version “1.7.0_10″
    bash: java: command not found
    (saucy)rpg@localhost:~$ Java(TM) SE Runtime Environment (build 1.7.0_10-b18)
    bash: syntax error near unexpected token `TM’
    (saucy)rpg@localhost:~$ Java HotSpot(TM) 64-Bit Server VM (build 23.6-b04, mixed mode)
    bash: syntax error near unexpected token `(‘
    (saucy)rpg@localhost:~$

    No sé mucho de Linux y tu página me encanta

    • Luis Armando Medina says:

      Hola Raquel, para hacer la verificación de java solo tienes que poner el comando “java -version” y presionar enter, el resto del texto es para mostrarte como es que se debe ver la salida de ese comando. Saludos

  4. jose alberto lopez torres says:

    no se sirvio me aparece el error que no puedo descargar todos los paquetes
    pero muchas gracias exelente post

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos necesarios están marcados *


1 × = cinco

Puedes usar las siguientes etiquetas y atributos HTML: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>